#!/bin/bash
# This script will create a new Cobra theme with different colors 
# (blue parts in standard theme) and save it to $HOME/.themes/Cobra-(Color).
# It requires ImageMagick to work.

con="convert -modulate 100,100,"

echo ""
echo "This script will create a new Cobra theme with different colors"
echo "(blue parts in standard theme) and save it to $HOME/.themes/Cobra-[Color]."
echo "Requires ImageMagick to work. Install the Cobra theme before using it."
echo ""
echo "Type the number of the color you want, followed by [ENTER]:"
echo ""
echo "1. Cyan"
echo "2. Green"
echo "3. Yellow"
echo "4. Brown/Orange"
echo "5. Red"
echo ""
echo "Ctrl+c exits."
echo ""
read color

if [ $color = 1 ] ; then
name="Cyan"
hue=77
fi

if [ $color = 2 ] ; then
name="Green"
hue=45
fi

if [ $color = 3 ] ; then
name="Yellow"
hue=12
fi

if [ $color = 4 ] ; then
name="Brown"
hue=0
fi

if [ $color = 5 ] ; then
name="Red"
hue=180
fi

if [ $color ] ; then 
	mkdir -p ~/.themes/Cobra-${name}
	cp -R ~/.themes/Cobra/* ~/.themes/Cobra-${name}
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Buttons/button-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Buttons/button-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Check-Radio/check3.png ~/.themes/Cobra-${name}/gtk-2.0/Check-Radio/check3.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Check-Radio/check4.png ~/.themes/Cobra-${name}/gtk-2.0/Check-Radio/check4.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Check-Radio/option3.png ~/.themes/Cobra-${name}/gtk-2.0/Check-Radio/option3.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Check-Radio/option4.png ~/.themes/Cobra-${name}/gtk-2.0/Check-Radio/option4.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/ListHeaders/list_header-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/ListHeaders/list_header-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Menu-Menubar/menubar-item.png ~/.themes/Cobra-${name}/gtk-2.0/Menu-Menubar/menubar-item.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Menu-Menubar/menubar-item-active.png ~/.themes/Cobra-${name}/gtk-2.0/Menu-Menubar/menubar-item-active.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/ProgressBar/progressbar-horiz.png ~/.themes/Cobra-${name}/gtk-2.0/ProgressBar/progressbar-horiz.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Range/slider-horiz-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Range/slider-horiz-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Range/slider-vert-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Range/slider-vert-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/scroll-thumb-horiz-pre.png ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/scroll-thumb-horiz-pre.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/scroll-thumb-vert-pre.png ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/scroll-thumb-vert-pre.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/stepper-down-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/stepper-down-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/stepper-left-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/stepper-left-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/stepper-right-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/stepper-right-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/stepper-up-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Scrollbars/stepper-up-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Spin/spin-down-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Spin/spin-down-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Spin/spin-up-prelight.png ~/.themes/Cobra-${name}/gtk-2.0/Spin/spin-up-prelight.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Tabs/tab-bottom-active.png ~/.themes/Cobra-${name}/gtk-2.0/Tabs/tab-bottom-active.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Tabs/tab-left-active.png ~/.themes/Cobra-${name}/gtk-2.0/Tabs/tab-left-active.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Tabs/tab-right-active.png ~/.themes/Cobra-${name}/gtk-2.0/Tabs/tab-right-active.png
	${con}${hue} ~/.themes/Cobra-${name}/gtk-2.0/Tabs/tab-top-active.png ~/.themes/Cobra-${name}/gtk-2.0/Tabs/tab-top-active.png
	rm  ~/.themes/Cobra-${name}/index.theme
	rm  ~/.themes/Cobra-${name}/gtk-2.0/gtkrc
fi

if [ $color = 1 ] ; then
	sed 's/Name=Cobra/Name=Cobra-Cyan/g' ~/.themes/Cobra/index.theme > ~/.themes/Cobra-${name}/index.theme~
	sed 's/GtkTheme=Cobra/GtkTheme=Cobra-Cyan/g' ~/.themes/Cobra-${name}/index.theme~ > ~/.themes/Cobra-${name}/index.theme
	sed 's/0d377c/116065/g' ~/.themes/Cobra/gtk-2.0/gtkrc > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~
	sed 's/071f46/074247/g' ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~ > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc
fi
if [ $color = 2 ] ; then
	sed 's/Name=Cobra/Name=Cobra-Green/g' ~/.themes/Cobra/index.theme > ~/.themes/Cobra-${name}/index.theme~
	sed 's/GtkTheme=Cobra/GtkTheme=Cobra-Green/g' ~/.themes/Cobra-${name}/index.theme~ > ~/.themes/Cobra-${name}/index.theme
	sed 's/0d377c/12700f/g' ~/.themes/Cobra/gtk-2.0/gtkrc > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~
	sed 's/071f46/094607/g' ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~ > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc
fi
if [ $color = 3 ] ; then
	sed 's/Name=Cobra/Name=Cobra-Yellow/g' ~/.themes/Cobra/index.theme > ~/.themes/Cobra-${name}/index.theme~
	sed 's/GtkTheme=Cobra/GtkTheme=Cobra-Yellow/g' ~/.themes/Cobra-${name}/index.theme~ > ~/.themes/Cobra-${name}/index.theme
	sed 's/0d377c/706e0f/g' ~/.themes/Cobra/gtk-2.0/gtkrc > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~
	sed 's/071f46/464507/g' ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~ > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc 
fi
if [ $color = 4 ] ; then
	sed 's/Name=Cobra/Name=Cobra-Brown/g' ~/.themes/Cobra/index.theme > ~/.themes/Cobra-${name}/index.theme~
	sed 's/GtkTheme=Cobra/GtkTheme=Cobra-Brown/g' ~/.themes/Cobra-${name}/index.theme~ > ~/.themes/Cobra-${name}/index.theme
	sed 's/0d377c/704b0f/g' ~/.themes/Cobra/gtk-2.0/gtkrc > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~
	sed 's/071f46/462e07/g' ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~ > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc 
fi
if [ $color = 5 ] ; then
	sed 's/Name=Cobra/Name=Cobra-Red/g' ~/.themes/Cobra/index.theme > ~/.themes/Cobra-${name}/index.theme~
	sed 's/GtkTheme=Cobra/GtkTheme=Cobra-Red/g' ~/.themes/Cobra-${name}/index.theme~ > ~/.themes/Cobra-${name}/index.theme
	sed 's/0d377c/70110f/g' ~/.themes/Cobra/gtk-2.0/gtkrc > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~
	sed 's/071f46/460807/g' ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~ > ~/.themes/Cobra-${name}/gtk-2.0/gtkrc 
fi
	rm ~/.themes/Cobra-${name}/index.theme~
	rm ~/.themes/Cobra-${name}/gtk-2.0/gtkrc~

echo ""
echo "Theme saved to $HOME/.themes/Cobra-${name}."
echo "Please select it in your Theme Preferences."

